Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Name: sharutils
Version: 4.2
Release: 12
Copyright: GPL
Group: Applications/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/sharutils-4.2.tar.gz
Patch1: sharutils-4.2-gmo.patch
Patch2: sharutils-4.2-man.patch
Patch3: sharutils-4.2-po.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/shar-root

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
rm -f $RPM_BUILD_ROOT/usr/info/sharutils* $RPM_BUILD_ROOT/usr/info/remsync*
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr install-man
gzip -9nf $RPM_BUILD_ROOT/usr/info/sharutils*
gzip -9nf $RPM_BUILD_ROOT/usr/info/remsync*

strip $RPM_BUILD_ROOT/usr/bin/shar $RPM_BUILD_ROOT/usr/bin/unshar $RPM_BUILD_ROOT/usr/bin/uuencode $RPM_BUILD_ROOT/usr/bin/uudecode

%post
/sbin/install-info /usr/info/sharutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sharutils.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
/usr/info/sharutils*
/usr/info/remsync*
/usr/man/*/*
/usr/share/locale/*/*/*

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

